このエントリーをはてなブックマークに追加


Raspbianで「ハッシュサムが適合しません」の対処方法

sudo apt upadte コマンドを実行したところ、

〇〇の取得に失敗しました
ハッシュサムが適合しません

とエラーが発生。
本資料では、この「ハッシュサムが適合しません」の対処方法を記します。

Debian系であれば、Debian, Ubuntu などでも同様の操作で解決できるはずです。

注意事項
本資料の作業でファイル削除を実施します。
操作ミスなどにより何らかの損害や問題が発生しても一切責任に持ちません。


参考サイト

解決手順

以下の手順で操作を行います。
ファイル削除を行いますので、気をつけてください。

  1. LXTerminal t.png を起動します。
  2. 以下のコマンドを入力しEnterキーを押し実行します。
    sudo rm -r /var/lib/apt/lists/*
    01.png
     
  3. 再度、aptコマンドを実行し再構築します。
    sudo apt update
    02.png
     
    以上の手順で「ハッシュサムが適合しません」のエラーが解決できるはずです。

スポンサーリンク

添付ファイル: file01.png 19件 [詳細] file02.png 7件 [詳細] filet.png 11件 [詳細]

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2019-07-20 (土) 20:36:10 (90d)